Bug 2190 - SWAT displays parameter values in unix charset
SWAT displays parameter values in unix charset
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.10
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 03:17 UTC by Shiro Yamada
Modified: 2005-08-24 10:16 UTC (History)
1 user (show)

See Also:


Attachments
a possible fix (2.00 KB, patch)
2004-12-24 03:18 UTC, Shiro Yamada
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shiro Yamada 2004-12-24 03:17:52 UTC
Since samba 3.0.9, SWAT has been displaying pages in UTF-8.
However, when it tries to display parameter values in smb.conf,
it blankly copy them as they are (i.e. in unix charset instead of
UTF-8).

SWAT should convert these parameter in UTF-8 before it generates
a page in HTML format.
Comment 1 Shiro Yamada 2004-12-24 03:18:21 UTC
Created attachment 867 [details]
a possible fix
Comment 2 Björn Jacke 2004-12-26 07:31:50 UTC
that fix looks good to me, can someone please check this in?
Comment 3 Jeremy Allison 2004-12-26 11:51:47 UTC
Applied - thanks !
Jeremy.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:16:21 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.